Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PaymentReceipt

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PaymentReceipt

Enclosing class:
  TdApi

public static final class TdApi.PaymentReceipt extends TdApi.Object
Contains information about a successful payment.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`credentialsTitle`
Title of the saved credentials chosen by the buyer.
`int`
`date`
Point in time (Unix timestamp) when the payment was made.
`TdApi.FormattedText`
`description`
Product description.
`TdApi.Invoice`
`invoice`
Information about the invoice.
`TdApi.OrderInfo`
`orderInfo`
Order information; may be null.
`long`
`paymentProviderUserId`
User identifier of the payment provider bot.
`TdApi.Photo`
`photo`
Product photo; may be null.
`long`
`sellerBotUserId`
User identifier of the seller bot.
`TdApi.ShippingOption`
`shippingOption`
Chosen shipping option; may be null.
`long`
`tipAmount`
The amount of tip chosen by the buyer in the smallest units of the currency.
`String`
`title`
Product title.

## Constructor Summary

Constructors
Constructor
Description
`PaymentReceipt()`
Contains information about a successful payment.
`PaymentReceipt(DataInput input)`
Contains information about a successful payment.
`PaymentReceipt(String title, TdApi.FormattedText description, TdApi.Photo photo, int date, long sellerBotUserId, long paymentProviderUserId, TdApi.Invoice invoice, TdApi.OrderInfo orderInfo, TdApi.ShippingOption shippingOption, String credentialsTitle, long tipAmount)`
Contains information about a successful payment.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
Product title.

### description

public TdApi.FormattedText description
Product description.

### photo

public TdApi.Photo photo
Product photo; may be null.

### date

public int date
Point in time (Unix timestamp) when the payment was made.

### sellerBotUserId

public long sellerBotUserId
User identifier of the seller bot.

### paymentProviderUserId

public long paymentProviderUserId
User identifier of the payment provider bot.

### invoice

public TdApi.Invoice invoice
Information about the invoice.

### orderInfo

public TdApi.OrderInfo orderInfo
Order information; may be null.

### shippingOption

public TdApi.ShippingOption shippingOption
Chosen shipping option; may be null.

### credentialsTitle

public String credentialsTitle
Title of the saved credentials chosen by the buyer.

### tipAmount

public long tipAmount
The amount of tip chosen by the buyer in the smallest units of the currency.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PaymentReceipt

public PaymentReceipt()
Contains information about a successful payment.

### PaymentReceipt

public PaymentReceipt(String title, TdApi.FormattedText description, TdApi.Photo photo, int date, long sellerBotUserId, long paymentProviderUserId, TdApi.Invoice invoice, TdApi.OrderInfo orderInfo, TdApi.ShippingOption shippingOption, String credentialsTitle, long tipAmount)
Contains information about a successful payment.

Parameters:
  `title` - Product title.
  `description` - Product description.
  `photo` - Product photo; may be null.
  `date` - Point in time (Unix timestamp) when the payment was made.
  `sellerBotUserId` - User identifier of the seller bot.
  `paymentProviderUserId` - User identifier of the payment provider bot.
  `invoice` - Information about the invoice.
  `orderInfo` - Order information; may be null.
  `shippingOption` - Chosen shipping option; may be null.
  `credentialsTitle` - Title of the saved credentials chosen by the buyer.
  `tipAmount` - The amount of tip chosen by the buyer in the smallest units of the currency.

### PaymentReceipt

public PaymentReceipt(DataInput input) throws IOException
Contains information about a successful payment.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`